Package org.eclipse.cdt.core.dom.ast

# Interface IASTElaboratedTypeSpecifier

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclSpecifier`, `IASTNameOwner`, `IASTNode`

All Known Subinterfaces:
  `ICASTElaboratedTypeSpecifier`, `ICPPASTElaboratedTypeSpecifier`

public interface IASTElaboratedTypeSpecifier extends IASTDeclSpecifier, IASTNameOwner
This represents an elaborated type specifier in the C & C++ language grammar.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`k_enum`
Enumeration.
`static final int`
`k_last`
Constant for extensibility in sub-interfaces.
`static final int`
`k_struct`
Structure.
`static final int`
`k_union`
Union.
`static final ASTNodeProperty`
`TYPE_NAME`
`TYPE_NAME` describes the relationship between `IASTElaboratedTypeSpecifier` and `IASTName`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`ALIGNMENT_SPECIFIER, sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTElaboratedTypeSpecifier`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`int`
`getKind()`
Returns the kind.
`IASTName`
`getName()`
Returns the name.
`void`
`setKind(int value)`
Sets the kind.
`void`
`setName(IASTName name)`
Sets the name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`copy, getAlignmentSpecifiers, getStorageClass, isConst, isInline, isRestrict, isVolatile, setAlignmentSpecifiers, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### k_enum

static final int k_enum
Enumeration.

See Also:
  - Constant Field Values

### k_struct

static final int k_struct
Structure.

See Also:
  - Constant Field Values

### k_union

static final int k_union
Union.

See Also:
  - Constant Field Values

### k_last

static final int k_last
Constant for extensibility in sub-interfaces.

See Also:
  - Constant Field Values

### TYPE_NAME

static final ASTNodeProperty TYPE_NAME
`TYPE_NAME` describes the relationship between `IASTElaboratedTypeSpecifier` and `IASTName`.

## Method Details

### getKind

int getKind()
Returns the kind.

Returns:
  int (kind).

### setKind

void setKind(int value)
Sets the kind.

Parameters:
  `value` - int (kind)

### getName

IASTName getName()
Returns the name.

Returns:
  `IASTName`

### setName

void setName(IASTName name)
Sets the name.

Parameters:
  `name` - `IASTName`

### copy

IASTElaboratedTypeSpecifier copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1